Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model
Class ModelUtil

    java.lang.Object
      org.teleal.cling.model.ModelUtil

    public class ModelUtil

extends Object

Constructor Summary
`ModelUtil()`

Method Summary
`static String` | `commaToNewline(String s)`
`static String[]` | `fromCommaSeparatedList(String s)`
`static String[]` | `fromCommaSeparatedList(String s, boolean unescapeCommas)`
`static int` | `fromTimeString(String s)`
`static byte[]` | `getFirstNetworkInterfaceHardwareAddress()`
`static InetAddress` | `getInetAddressByName(String name)`
`static String` | `getLocalHostName(boolean includeDomain)`
`static boolean` | `isStringConvertibleType(Set<Class> stringConvertibleTypes, Class clazz)`
`static boolean` | `isValidUDAName(String name)`
`static String` | `toCommaSeparatedList(Object[] o)`
`static String` | `toCommaSeparatedList(Object[] o, boolean escapeCommas, boolean escapeDoubleQuotes)`
`static String` | `toTimeString(int seconds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelUtil

    public ModelUtil()

Method Detail

### isStringConvertibleType

    public static boolean isStringConvertibleType(Set<Class> stringConvertibleTypes,
                                                  Class clazz)

### isValidUDAName

    public static boolean isValidUDAName(String name)

### getInetAddressByName

    public static InetAddress getInetAddressByName(String name)

### toCommaSeparatedList

    public static String toCommaSeparatedList(Object[] o)

### toCommaSeparatedList

    public static String toCommaSeparatedList(Object[] o,
                                              boolean escapeCommas,
                                              boolean escapeDoubleQuotes)

### fromCommaSeparatedList

    public static String[] fromCommaSeparatedList(String s)

### fromCommaSeparatedList

    public static String[] fromCommaSeparatedList(String s,
                                                  boolean unescapeCommas)

### toTimeString

    public static String toTimeString(int seconds)

### fromTimeString

    public static int fromTimeString(String s)

### commaToNewline

    public static String commaToNewline(String s)

### getLocalHostName

    public static String getLocalHostName(boolean includeDomain)

### getFirstNetworkInterfaceHardwareAddress

    public static byte[] getFirstNetworkInterfaceHardwareAddress()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.